
#ifndef STATE_FILE_READER_H
#define STATE_FILE_READER_H

class StateFileReader {

public:

    /**
     * @return A list of planes, as listed in the state file. 
     *
     * Unless readFile() has been called successfully, this method
     * will return an empty list.
     */
    const std::list<QuadPlane>& getPlanes() const { return m_planes; }


};




#endif /* STATE_FILE_READER_H */
